| OpenGL-2.2.3.0: A binding for the OpenGL graphics system | Contents | Index

Graphics.Rendering.OpenGL.GL.PixelRectangles.PixelMap

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Description
This module corresponds to a part of section 3.6.1 (Pixel Storage Modes) of the OpenGL 2.1 specs.
Synopsis

data PixelMapTarget

= IToI
| SToS
| IToR
| IToG
| IToB
| IToA
| RToR
| GToG
| BToB
| AToA

class Storable c => PixelMapComponent c
class PixelMap m where

withNewPixelMap :: PixelMapComponent c => Int -> (Ptr c -> IO ()) -> IO (m c)
withPixelMap :: PixelMapComponent c => m c -> (Int -> Ptr c -> IO a) -> IO a
newPixelMap :: PixelMapComponent c => [c] -> IO (m c)
getPixelMapComponents :: PixelMapComponent c => m c -> IO [c]

data GLpixelmap a
maxPixelMapTable :: GettableStateVar GLsizei
pixelMap :: (PixelMap m, PixelMapComponent c) => PixelMapTarget -> StateVar (m c)
pixelMapIToRGBA :: PixelMapComponent c => StateVar [Color4 c]
pixelMapRGBAToRGBA :: PixelMapComponent c => StateVar [Color4 c]

Documentation
data PixelMapTarget

Constructors

IToI |
SToS |
IToR |
IToG |
IToB |
IToA |
RToR |
GToG |
BToB |
AToA |

class Storable c => PixelMapComponent c

Instances

PixelMapComponent Float |
PixelMapComponent Word16 |
PixelMapComponent Word32 |

class PixelMap m where

Methods

withNewPixelMap :: PixelMapComponent c => Int -> (Ptr c -> IO ()) -> IO (m c)
withPixelMap :: PixelMapComponent c => m c -> (Int -> Ptr c -> IO a) -> IO a
newPixelMap :: PixelMapComponent c => [c] -> IO (m c)
getPixelMapComponents :: PixelMapComponent c => m c -> IO [c]

Instances

PixelMap GLpixelmap |

data GLpixelmap a

Instances

PixelMap GLpixelmap |
Eq (GLpixelmap a) |
Ord (GLpixelmap a) |
Show (GLpixelmap a) |

maxPixelMapTable :: GettableStateVar GLsizei
pixelMap :: (PixelMap m, PixelMapComponent c) => PixelMapTarget -> StateVar (m c)
pixelMapIToRGBA :: PixelMapComponent c => StateVar [Color4 c]
Convenience state variable
pixelMapRGBAToRGBA :: PixelMapComponent c => StateVar [Color4 c]
Convenience state variable
Produced by Haddock version 2.7.2